## rsched 0.0~git20250813.fd40982

=== debian/changelog ===
rsched (0.0~git20250813.fd40982-1) unstable; urgency=medium

  * Initial release. (Closes: #1108594)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 12 Sep 2025 22:07:12 +0100
