=== debian/control ===
Source: rsched
Section: admin
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 librust-anyhow-dev,
 librust-atty-dev,
 librust-clap-dev,
 librust-libbpf-rs-dev,
 librust-libbpf-cargo-dev,
 librust-num-cpus-dev,
 librust-plain-dev,
 librust-regex-dev,
 linux-bpf-dev
Standards-Version: 4.7.2
Homepage: https://github.com/masoncl/rsched
Vcs-Browser: https://salsa.debian.org/sudip/rsched
Vcs-Git: https://salsa.debian.org/sudip/rsched.git

Package: rsched
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Rust Scheduling Delay Tracker
 A BPF-based tool written in Rust that tracks kernel metrics related to
 scheduling.
 .
 rsched uses tracepoints and performance counters to monitor:
  - Scheduling delays: Time spent waiting in the runqueue
  - Time slice analysis: Duration and preemption statistics
  - Runqueue depth: Number of tasks waiting when processes are woken
  - Wakeup delays: Time from sched_waking to sched_switch
  - schedstats: via /proc/schedstats
  - CPU cycles and instructions: both user and kernel time
