=== debian/watch ===
version=4

opts="mode=git" \
    https://github.com/masoncl/rsched.git HEAD
